Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/37320/?format=api
{ "ob_id": 37320, "uuid": "2d0f8bb3927b4f75ae75276705858f68", "title": "Invisible Tracks: Collocation of wind-advected ship locations and shipping emissions with data from the MODIS cloud product", "abstract": "This dataset contains data from the MODIS (Moderate Resolution Imaging Spectroradiometer) cloud product, collocated to wind-advected ship locations and shipping emissions. Most importantly, it includes effective droplet radii, calculated droplet number concentration, liquid water path, and cloud optical depth for locations where clouds have been polluted by shipping and to either side of a ship trajectory. Cloud data in the trajectory is labelled with the variable name only, data on either side additionally with [property]_1 and [property]_3 for the western and eastern side, respectively. The data is ungridded and comes in the form of csv files. It covers the period of 2014-2019. \r\n\r\nThe dataset is the product of three data sources: AIS data giving ship locations, ERA5 winds used to advect the emissions up to the time of the Aqua and Terra overpasses, as well as the level-2 cloud product MOD06.\r\n\r\nThis data was collected for the study of shipping aerosols' effect on marine liquid clouds, in particular when the emissions do not produce a satellite-visible ship track, which could be hand-logged.", "keywords": "cloud droplet, ship, MODIS", "publicationState": "citable", "dataPublishedTime": "2022-05-20T14:56:29", "doiPublishedTime": "2022-05-23T08:20:36", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/37345/?format=api", "dataPath": "/badc/deposited2022/invisible_tracks/data/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 656568837112, "numberOfFiles": 74, "fileFormat": "Data are in CSV format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/10305/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3461/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12127/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/37321/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178286/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178287/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178288/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178289/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178283/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178284/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178285/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178290/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178291/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178292/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178293/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/37347/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }